#!/usr/bin/env ruby

require "rubygems"
require "twitter"


hostname = ENV['HOSTNAME']


tweet = ARGV[0]
tweet.chomp

if ((tweet.size + hostname.size + 3) > 140 )
        puts "Twitter only supports up to 140 characters."
        print "Failed tweet: #{tweet}\n"
        exit(1)
end


# Certain methods require authentication. To get your Twitter OAuth credentials,
# register an app at http://dev.twitter.com/apps
Twitter.configure do |config|
  config.consumer_key = ''
  config.consumer_secret = ''
  config.oauth_token = ''
  config.oauth_token_secret = ''
end

# Initialize your Twitter client
client = Twitter::Client.new


# Post a status update
client.update("#{hostname} - #{tweet}")

